CKSTATUS(1)

NAME
ckstatus - report on ckmame(1) runs

SYNOPSIS
ckstatus [- -all-missing] [- -all-sets] [- -changes] [- -config file] [- -correct] [- -delete] [- -from RUN] [-h, - -help] [- -list-sets] [- -mia-have] [- -missing] [- -run RUN] [- -runs] [- -set pattern] [- -to RUN] [- -status-db dbfile] [- -summary] [-V, - -version]

DESCRIPTION
ckstatus is a program to report on the results and/or changes of ckmame(1) runs on a ROM set. The data is read from the .ckmame-status.db file in the current directory, or the place configured in the config file, either for the default or the selected set(s). It compares the output of different runs, i.e. starts of ckmame(1).

  OPTIONS
Supported options:

- -all-missing
    List all missing ROMs.

- -all-sets
    Report on all configured sets.

- -changes
    List the changes in between two runs. By default, the newest two runs are compared, but the runs to compare can be chosen with - -from RUN and - -to RUN.

- -config file
    Read the configuration from file.

- -correct
    List all correct ROMs.

-h, - -help
    Show a short help.

- -delete
    Delete the run specified by the - -run RUN option (required to avoid accidental data loss).

- -from RUN
    Select the base run for the comparison with - -changes.

- -list-sets
    List all configured sets, for the - -set option.

- -mia-have
    List all games containing ROMs that are MIA according to the database.

- -missing
    List all missing ROMs except those that are MIA according to the database.

- -run RUN
    Select the run on which to report, or which to delete (for - -delete).

- -runs
    List all available runs.

- -set pattern
    Report on all sets matching pattern.

- -status-db dbfile
    Use dbfile instead of the default .ckmame-status.db.

- -summary
    Print summary information on the number of missing games.

- -to RUN
    Select the target run for the comparison with - -changes.

-V, - -version
    Report the version of ckstatus.

FILES
By default, the run information is read from .ckmame-status.db.

SEE ALSO
ckmame(1), ckmamerc(5)

AUTHORS
-nosplit ckstatus was written by Dieter Baron <dillo@nih.at> and Thomas Klausner <wiz@gatalith.at>.